Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1274159 - [RFE] Add content counters to Content View Versions Repositories overview
Summary: [RFE] Add content counters to Content View Versions Repositories overview
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.1.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Brad Buckingham
URL:
Whiteboard:
: 1478437 (view as bug list)
Depends On:
Blocks: 1122832 260381
TreeView+ depends on / blocked
 
Reported: 2015-10-22 07:23 UTC by Peter Vreman
Modified: 2020-09-10 09:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:32:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
ContentViewVersion missing repo counters (78.14 KB, image/png)
2015-10-22 07:23 UTC, Peter Vreman
no flags Details
Satellite 6.3 - content view version - content counts per repo (92.35 KB, image/png)
2017-08-16 21:26 UTC, Brad Buckingham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16276 0 'Normal' 'Closed' 'Add content counters to Content View Versions Repositories overview' 2019-11-12 19:39:34 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Peter Vreman 2015-10-22 07:23:48 UTC
Created attachment 1085422 [details]
ContentViewVersion missing repo counters

Description of problem:
Currently I have to analyse why a repository had 0 packages on the node visible. From the UI i cannot do this at the moment because the overview of the ContentViewVersions repositories details does not list the count of the packages.
Having the content counter available allows a quick review if how many packages are part of each repository for that specific content view version.

In other lists the counters are visible, e.g. in ContentView Add Repository


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. View Content View Version - Repositories
2.
3.

Actual results:
No Package and Errata counters visible

Expected results:
Package and Errata counters visible. Just like ContentView Add repository


Additional info:

Comment 1 Brad Buckingham 2016-08-24 20:52:48 UTC
Created redmine issue http://projects.theforeman.org/issues/16276 from this bug

Comment 2 Satellite Program 2017-02-01 19:01:23 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 3 Satellite Program 2017-02-15 01:01:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16276 has been resolved.

Comment 4 Brad Buckingham 2017-08-16 21:25:46 UTC
Verified with Satellite 6.3 SNAP 11: satellite-6.3.0-16.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.4-1.el7sat.noarch

Errata and Package content counts are now displayed for published content view versions.  Screenshot to be attached.

Comment 5 Brad Buckingham 2017-08-16 21:26:25 UTC
Created attachment 1314408 [details]
Satellite 6.3 - content view version - content counts per repo

Comment 6 Brad Buckingham 2017-08-25 13:41:48 UTC
*** Bug 1478437 has been marked as a duplicate of this bug. ***

Comment 9 errata-xmlrpc 2018-02-21 12:32:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.